# AMD/ATI Radeon 4000 Driver
# 2016 foo.li systeme + software

$packageName    = 'ati-radeon4000-driver'
$version        = '15.301.2601'
$fileType       = 'exe'
$silentArgs     = '/UNATTENDED_INSTALL /FORCE_HIDE_FIRST_RUN /FORCE_CLOSE_WHEN_DONE /AUTOACCEPT_ALL /ON_REBOOT_MESSAGE:NO'
$unpackDir      = New-Item "${ENV:TEMP}\atidriver" -ItemType Directory -Force
$unpackFile     = "${ENV:TEMP}\atidriver.zip"
$setupFile      = Join-Path "$unpackDir" "setup.exe"
 

$url = "https://www2.ati.com/drivers/firepro/$version-whql-firepro-windows-retail.exe"
$url64 = "https://www2.ati.com/drivers/legacy/13-9-legacy_vista_win7_64_dd_ccc_whql.exe"

$card = (Get-WmiObject -Class win32_VideoController).Caption

if (!($card -like '*ATI*')) {
    Write-Warning 'does not look like there is a AMD/ATI Radeon card in this host'
    throw 'no radeon card detected'
}

Get-ChocolateyWebFile $packageName $unpackFile $url $url64
Get-ChocolateyUnzip $unpackFile $unpackDir
Install-ChocolateyInstallPackage $packageName $fileType $silentArgs $setupFile
Remove-Item $unpackDir -Recurse -Force